%define version 0.0.9
%define release %mkrel 3

Summary:	Command line program for playing FLAC audio files
Name:		flac123
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://flac-tools.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/flac-tools/%{name}-%{version}.tar.bz2
Patch0:		flac123-0.0.9-use-libao-default.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libao-devel
BuildRequires:	popt-devel
BuildRequires:	libflac-devel

%description
%{name} is a command-line program for playing FLAC audio files.

%prep
%setup -q
%patch0 -p1 -b .libao-default

%build
%configure2_5x
%make CPPFLAGS=-DHAVE_INTTYPES_H

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README*
%{_bindir}/*

%changelog
* Tue Aug 16 2005 Abel Cheung <deaddog@mandriva.org> 0.0.9-3mdk
- Modify patch0 to use libao provided mechanism to decide fallback driver

* Tue Aug 16 2005 Abel Cheung <deaddog@mandriva.org> 0.0.9-2mdk
- Patch0: Obey libao user/system config file before fallback output driver

* Fri Jun 10 2005 Götz Waschk <waschk@mandriva.org> 0.0.9-1mdk
- New release 0.0.9

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.0.7-4mdk
- Rebuild

* Mon Apr 18 2005 Götz Waschk <waschk@mandriva.org> 0.0.7-3mdk
- rebuild for new libflac

* Mon Aug  2 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.7-2mdk
- fis build with new flac

* Fri Jul 09 2004 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- New version

* Tue Nov 25 2003 Abel Cheung <deaddog@deaddog.org> 0.0.3-1mdk
- First Mandrake package
